import apiRequest from '@/network/http/apiRequest'

/**
 * 获取Module列表
 * @param data
 * @returns
 */
export function getModuleByList(data: any) {
  return apiRequest({
    url: '/api/module',
    method: 'GET',
    params: data,
  })
}

/**
 * 根据Id获取Module
 * @param moduleId
 * @returns
 */
export function getModuleById(moduleId: number) {
  return apiRequest({
    url: `/api/module/${moduleId}`,
    method: 'GET',
  })
}

/**
 * 添加Module
 * @param data
 * @returns
 */
export function createModule(data: any) {
  return apiRequest({
    url: '/api/module/add',
    method: 'POST',
    data,
  })
}

/**
 * 更新Module
 * @param data
 * @returns
 */
export function updateModule(data: any) {
  return apiRequest({
    url: '/api/module/update',
    method: 'PUT',
    data,
  })
}

/**
 * 删除Module
 * @param moduleId
 * @returns
 */
export function deleteModuleById(moduleId: number) {
  return apiRequest({
    url: `/api/module/${moduleId}`,
    method: 'DELETE',
  })
}
